Subject: bug#36785: closed (Re: bug#36785: Impossible to pull on foreign distro)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Sep 2019 08:25:03 +0000

Your bug report

#36785: 'sudo guix pull' failure in the profile migration code

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36785: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36785
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36785: Impossible to pull on foreign distro
From: Ludovic Courtès <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], Julien Lepiller <[email-masked]>
Date: Thu, 19 Sep 2019 10:24:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> We could apply the patch I posted earlier, which simply disables profile
>> migration when SUDO_USER is set.  That won’t address the fact that root
>> writes to the user’s ~/.cache, but there’s not much we can do here.
>
> This sounds fine to me.

I went ahead and pushed that as
ee25048e51dd45ad91a1ad4b0f25f4013843c52b.

Thanks,
Ludo’.

Subject: Impossible to pull on foreign distro
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Wed, 24 Jul 2019 16:40:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix,

I gave a small tutorial to someone today, where we installed guix on top of a foreign distro. We used the script and everything went smoothly, and after finding out that we were going to build php (we were trying to define a VM that would serve one of their services), we tried to run guix pull:

sudo guix pull —commit=…

However the command failed immediately with:

Migrating profile generations to '/var/guix/profiles/per-user/root'...
Guix pull: error: symlink: File exists: "/var/guix/profiles/per-user/root/current-guix"

Indeed, the file exists and everything looks good. Why does guix try to migrate a profile that's already good?

I was able to work around that situation, but it's not great for our users.